Page MenuHomePhabricator

Setup test domain for phab2001
Closed, DeclinedPublic

Description

This task is about setting up a domain for phab2001 which we can test to make sure everything works. Because we carn't just presume at a moments notice that switching from iridium will work. We need to test. We also need to do a test where we schedule maintenance to try the switch to phab2001 from iridium for 24 hrs or longer.

Event Timeline

Paladox created this task.Dec 1 2016, 8:21 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 1 2016, 8:21 PM
Dzahn added a comment.Dec 1 2016, 8:23 PM

agreed. we did it in a similar way for gerrit with "gerrit-new". but gerrit wasn't behind varnish, unlike phab.

Dzahn added a comment.Dec 1 2016, 8:24 PM

please link this to the other phab2001 ticket(s) in some way

Change 324794 had a related patch set uploaded (by Dzahn):
add phabricator-new for phab2001

https://gerrit.wikimedia.org/r/324794

Change 324797 had a related patch set uploaded (by Dzahn):
varnish misc: add phab2001 as a backend for phab-new

https://gerrit.wikimedia.org/r/324797

Change 324794 merged by Dzahn:
add phabricator-new for phab2001

https://gerrit.wikimedia.org/r/324794

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptDec 1 2016, 10:28 PM

Change 324832 had a related patch set (by Paladox) published:
Phabricator: Set domain for phab2001 in codfw

https://gerrit.wikimedia.org/r/324832

Change 324832 merged by Dzahn:
Phabricator: Set domain for phab2001 in codfw

https://gerrit.wikimedia.org/r/324832

Dzahn triaged this task as Normal priority.Dec 3 2016, 3:25 AM
Dzahn claimed this task.Dec 14 2016, 7:26 PM

we are waiting for https://gerrit.wikimedia.org/r/#/c/324797/ here, traffic team asked to wait a couple days because they were in the middle of refactoring code

Zppix changed the task status from Open to Stalled.Dec 19 2016, 9:50 PM
Zppix moved this task from INBOX to In-progress on the Release-Engineering-Team board.
Zppix added a subscriber: Zppix.

traffic team asked to wait a couple days because they were in the middle of refactoring code

Status changed per the above comment

Change 324797 abandoned by Dzahn:
varnish misc: add phab2001 as a backend for phab-new

Reason:
we can't make phab2001 the production phab server since we don't have per-service routing yet and we don't want to send unencrypted traffic across datacenters

https://gerrit.wikimedia.org/r/324797

Dzahn closed this task as Declined.Feb 1 2017, 10:43 PM

see reason above, we can't do this yet. Instead we are requesting new hardware for phab1001 (T156970) to test with jessie and then switch iridium to phab1001, also resolving T152129 at the same time